# Draw
TKTopTest
DrawFairCurve

# DrawFairCurve_Batten Class Reference

Interactive Draw object of type "Batten"
.

`#include <DrawFairCurve_Batten.hxx>`

Inheritance diagram for DrawFairCurve_Batten:

[legend]

## Public Member Functions

Standard_EXPORT | DrawFairCurve_Batten (const Standard_Address TheBatten)
Standard_EXPORT void | Compute ()
Standard_EXPORT void | SetPoint (const Standard_Integer Side, const gp_Pnt2d &Point)
Standard_EXPORT void | SetAngle (const Standard_Integer Side, const Standard_Real Angle)
Standard_EXPORT void | SetSliding (const Standard_Real Length)
Standard_EXPORT void | SetHeight (const Standard_Real Heigth)
Standard_EXPORT void | SetSlope (const Standard_Real Slope)
Standard_EXPORT Standard_Real | GetAngle (const Standard_Integer Side) const
Standard_EXPORT Standard_Real | GetSliding () const
Standard_EXPORT void | FreeSliding ()
Standard_EXPORT void | FreeAngle (const Standard_Integer Side)
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Standard_Address | MyBatten

## Constructor & Destructor Documentation

Standard_EXPORT DrawFairCurve_Batten::DrawFairCurve_Batten | ( | const Standard_Address | TheBatten | ) |

## Member Function Documentation

Standard_EXPORT void DrawFairCurve_Batten::Compute | ( |  | ) |

virtual Standard_EXPORT void DrawFairCurve_Batten::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from DrawTrSurf_Curve2d.

Standard_EXPORT void DrawFairCurve_Batten::FreeAngle | ( | const Standard_Integer | Side | ) |

Standard_EXPORT void DrawFairCurve_Batten::FreeSliding | ( |  | ) |

Standard_EXPORT Standard_Real DrawFairCurve_Batten::GetAngle | ( | const Standard_Integer | Side | ) | const

Standard_EXPORT Standard_Real DrawFairCurve_Batten::GetSliding | ( |  | ) | const

Standard_EXPORT const DrawFairCurve_Batten::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawTrSurf_BSplineCurve2d. Reimplemented in DrawFairCurve_MinimalVariation.

Standard_EXPORT void DrawFairCurve_Batten::SetAngle | ( | const Standard_Integer | Side,
|  | const Standard_Real | Angle
| ) |

Standard_EXPORT void DrawFairCurve_Batten::SetHeight | ( | const Standard_Real | Heigth | ) |

Standard_EXPORT void DrawFairCurve_Batten::SetPoint | ( | const Standard_Integer | Side,
|  | const gp_Pnt2d & | Point
| ) |

Standard_EXPORT void DrawFairCurve_Batten::SetSliding | ( | const Standard_Real | Length | ) |

Standard_EXPORT void DrawFairCurve_Batten::SetSlope | ( | const Standard_Real | Slope | ) |

## Field Documentation

Standard_Address DrawFairCurve_Batten::MyBatten `[protected]`

The documentation for this class was generated from the following file:

- DrawFairCurve_Batten.hxx